export interface Spell {
  id: number;
  isCustom: boolean;
  german: string;
  english: string;
  image: string;
  classes: string[];
  level: number;
  cost: string;
  timeToCast: number;
  duration: number;
  canRitual: boolean;
  isRitual: boolean;
  needsConcentration: boolean;
  needsVerbal: boolean;
  needsSomatic: boolean;
  needsMaterial: boolean;
  school: string;
  description_de: string;
  description_en: string;
  needsAttackRoll: boolean;
  needsSavingThrow: boolean;
  savingThrowAttribute?: string;
  isRanged: boolean;
  range?: number;
  hasAreaOfEffect: boolean;
  diameter?: number;
  areaOfEffectType?: string;

  doesDamage: boolean;
  attackBonus?: string;
  damage: Damage[];
  doesHeal: boolean;
  heal: Heal;
}

// Possible Additions

// Number of targets
// duration
// cost um 1 minute/10 minutes/1 hour/8 hours/24 hours zu casten erhöhen
// Material
// Better way of handling the text.
// come up with a way to mark that it is selected as a ritual

interface Damage {
  diceNumber: string;
  diceType: string;
  damageType: string;
  additionalDamage?: string;
}

// additions

interface Heal {
  diceNumber: string;
  diceType: string;
  additionalHeal?: number;
}
