import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SwitchComponent } from './switch/switch.component';
import { UiButtonComponent } from './ui-button/ui-button.component';
import { FullSpellcardComponent } from './full-spellcard/full-spellcard.component';
import { IconButtonComponent } from './icon-button/icon-button.component';
import { ValueBoxComponent } from './value-box/value-box.component';
import { FormsModule } from '@angular/forms';
import { MatRippleModule } from '@angular/material/core';

@NgModule({
  declarations: [
    SwitchComponent,
    UiButtonComponent,
    FullSpellcardComponent,
    IconButtonComponent,
    ValueBoxComponent,
  ],
  imports: [CommonModule, FormsModule, MatRippleModule],
  exports: [
    SwitchComponent,
    UiButtonComponent,
    FullSpellcardComponent,
    IconButtonComponent,
    ValueBoxComponent,
    FormsModule,
  ],
})
export class SharedComponentsModule {}
