export interface Weapon {
  name: string;
  damage: Damage[];
  attackBonus: string;
  useAttributeModifier: boolean;
  hasAdditionalDamage: boolean;
  additionalDamage: number;
  range: number[];
  hasReach: boolean;
  throwRange?: number[];
  proficient: boolean;
  isVersatile: boolean;
  isTwoHanded: boolean;
  isFinesse: boolean;
  isRanged: boolean;
  canBeThrown: boolean;
  weight: string;
  versatileDamage?: string;
  isMagical: boolean;
  magicBonus?: number;
  description: string;
}

interface Damage {
  diceNumber: string;
  diceType: string;
  damageType: string;
  additionalDamage?: string;
}
